<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	Yii::t('app', 'Manage'),
);

$this->menu = array(
		array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
		array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('encargados-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1><?php echo Yii::t('app', 'Manage') . ' ' . GxHtml::encode($model->label(2)); ?></h1>

<p>
You may optionally enter a comparison operator (&lt;, &lt;=, &gt;, &gt;=, &lt;&gt; or =) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php /*
<?php echo GxHtml::link(Yii::t('app', 'Advanced Search'), '#', array('class' => 'search-button')); ?>
<div class="search-form">
<?php $this->renderPartial('_search', array(
	'model' => $model,
)); ?>
</div><!-- search-form -->
*/ ?>

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id' => 'encargados-grid',
	'dataProvider' => $model->search(),
	'filter' => $model,
	'columns' => array(
		//'encargado_id',
		array(
				'name'=>'id_area',
				'value'=>'GxHtml::valueEx($data->idArea)',
				'filter'=>GxHtml::listDataEx(Area::model()->findAllAttributes(null, true)),
				),
		/*array(
				'name'=>'id_encargado_area',
				'value'=>'GxHtml::valueEx($data->idEncargadoArea)',
				'filter'=>GxHtml::listDataEx(Usuario::model()->findAllAttributes(null, true)),
				//'filter'=>Usuario::model()->ListaUsuarios(),
				),*/
		//'idEncargadoArea.usuario_nombre',
		//'idEncargadoArea.usuario_apellido',
		array('name'=>'apellido', 'value'=>'$data->idEncargadoArea->usuario_apellido'),
		array('name'=>'nombre'	, 'value'=>'$data->idEncargadoArea->usuario_nombre'),
		'activo',

		array(
			'class' => 'CButtonColumn',
		),
	),
)); ?>