<?php

Yii::import('application.models._base.BaseUsuario');

class Usuario extends BaseUsuario
{
	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public static function ListaUsuarios() {
		$models = Usuario::model()->findAll();
		$data	= array();
		foreach ($models as $rows)
			$data[$rows->usuario_id] = $rows->usuario_apellido.' '.$rows->usuario_nombre;
		return $data;
	}

	public static function ListaJefesArea( $id_area ) {
		$models = Encargados::model()->findAll('id_area=:id_area', array(':id_area'=>$id_area));
		$data	= array();
		foreach ($models as $rows)
			$data[$rows->id_encargado_area] = $rows->idEncargadoArea->usuario_apellido.' '. $rows->idEncargadoArea->usuario_nombre;
		return $data;
	}

}